# SQL file to set up the databases for the Content Management System.
# Original file courtesy of 
# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Modifications and additions by Hollis Easter
# April 2005
#
# MODIFICATIONS BY BILL HAENEL, JAN06: COMMENTED OUT "DROP TABLE" COMMANDS DUE TO LOSS OF DATA ON UPGRADE,
# ---- (CONT'D) ADDED "IF EXISTS" CLAUSE TO CREATE TABLE COMMANDS TO ACCOMODATE UPGRADES
# --------------------------------------------------------

# USE whatever; # where whatever is the name of your database.

#
# Set up access privileges for the database.
# We don't specify the hostname here, so as to allow remote connections.
# Syntax is: GRANT ALL ON pmm-cms.* TO username identified by 'password';
# where username and password are user-defined.
#

# GRANT ALL ON pmm-cms.*
# GRANT ALL ON dalehobson.*
# TO CMSadmin identified by 'PfCmS(b!.';

#
# Table structure for table `lastedit`
#

# DROP TABLE IF EXISTS `lastedit`;

CREATE TABLE IF NOT EXISTS `lastedit` (
  `last_id` int(11) NOT NULL default '0',
  `tabledesc` tinyblob NOT NULL,
  PRIMARY KEY  (`last_id`),
  KEY `last_id` (`last_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news`
#

# DROP TABLE IF EXISTS `news`;

CREATE TABLE IF NOT EXISTS `news` (
  `lastedit` timestamp(14) NOT NULL,
  `story_id` mediumint(6) NOT NULL auto_increment,
  `reporter_id` tinyint(4) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `storydate` date NOT NULL default '0000-00-00',
  `description` longtext,
  `starthour` tinyint(2) NOT NULL default '0',
  `startmin` tinyint(2) NOT NULL default '0',
  `startsec` tinyint(2) NOT NULL default '0',
  `startthou` smallint(3) NOT NULL default '0',
  `endhour` tinyint(2) NOT NULL default '0',
  `endmin` tinyint(2) NOT NULL default '0',
  `endsec` tinyint(2) NOT NULL default '0',
  `endthou` smallint(3) NOT NULL default '0',
  `audio` varchar(255) NOT NULL default '',
  `image1` text,
  `image1cap` text,
  `image2` text,
  `image2cap` text,
  `link1` text,
  `link2` text,
  `link3` text,
  `link4` text,
  `linktext1` text,
  `linktext2` text,
  `linktext3` text,
  `linktext4` text,
  `seq_id` tinyint(2) NOT NULL default '0',
  `keywords` varchar(255) NOT NULL default '',
  `ord_id` tinyint(2) default '0',
  `hidefrommain` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`story_id`),
  KEY `title` (`title`),
  KEY `keywords` (`keywords`),
  KEY `keywords_2` (`keywords`),
  KEY `seq_id` (`seq_id`),
  KEY `title_2` (`title`),
  KEY `storydate` (`storydate`)
) TYPE=MyISAM;

# - --------------------------------------------------------

# -- 
# -- Table structure for table `news_fullstories`
# -- 

CREATE TABLE IF NOT EXISTS `news_fullstories` (
  `fs_id` int(8) NOT NULL auto_increment,
  `fs_content` text NOT NULL,
  PRIMARY KEY  (`fs_id`)
) TYPE=MyISAM AUTO_INCREMENT=561 ;

# -- --------------------------------------------------------

# -- 
# -- Table structure for table `news_fullstories_ref`
# -- 

CREATE TABLE IF NOT EXISTS `news_fullstories_ref` (
  `fs_id` int(11) NOT NULL default '0',
  `story_id` mediumint(6) NOT NULL default '0'
) TYPE=MyISAM;


# --------------------------------------------------------

#
# Table structure for table `news_topics`
#

# DROP TABLE IF EXISTS `news_topics`;

CREATE TABLE IF NOT EXISTS `news_topics` (
  `tid` int(10) NOT NULL auto_increment,
  `name` text NOT NULL,
  `descr` text NOT NULL,
  `sortby` text NOT NULL,
  `sortorder` text NOT NULL,
  `date_display` tinyint(1) NOT NULL default '1',
  `storiesperpage` int(2) NOT NULL default '10',
  `parentid` int(10) default NULL,
  `op_or` text NOT NULL,
  `inc` text NOT NULL,
  PRIMARY KEY  (`tid`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news_topics_fieldref`
#

# DROP TABLE IF EXISTS `news_topics_fieldref`;

CREATE TABLE IF NOT EXISTS `news_topics_fieldref` (
  `tid` int(10) NOT NULL default '0',
  `fid` tinyint(2) NOT NULL default '0',
  `searchval` text NOT NULL
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news_topics_fields`
#

# DROP TABLE IF EXISTS `news_topics_fields`;

CREATE TABLE IF NOT EXISTS `news_topics_fields` (
  `fid` tinyint(2) NOT NULL auto_increment,
  `fieldname` text NOT NULL,
  `fielddescr` text NOT NULL,
  PRIMARY KEY  (`fid`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news_weekend_buckets`
#

# DROP TABLE IF EXISTS `news_weekend_buckets`;

CREATE TABLE IF NOT EXISTS `news_weekend_buckets` (
  `id` tinyint(1) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `seq` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `news_weekend_stories`
#

# DROP TABLE IF EXISTS `news_weekend_stories`;

CREATE TABLE IF NOT EXISTS `news_weekend_stories` (
  `id` int(8) NOT NULL default '0',
  `bucket_id` tinyint(1) NOT NULL default '0',
  `seq` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `newsusers`
#

# DROP TABLE IF EXISTS `newsusers`;

CREATE TABLE IF NOT EXISTS `newsusers` (
  `usr_id` int(11) NOT NULL auto_increment,
  `user_name` varchar(32) default NULL,
  `user` varchar(10) default NULL,
  `password` varchar(64) default NULL,
  PRIMARY KEY  (`usr_id`),
  UNIQUE KEY `usr_id` (`usr_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `reporters`
#

# DROP TABLE IF EXISTS `reporters`;

CREATE TABLE IF NOT EXISTS `reporters` (
  `reporter_id` int(11) NOT NULL auto_increment,
  `reporter` tinytext NOT NULL,
  PRIMARY KEY  (`reporter_id`),
  UNIQUE KEY `reporter_id` (`reporter_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `stories`
#

# DROP TABLE IF EXISTS `stories`;

CREATE TABLE IF NOT EXISTS `stories` (
  `story_id` int(11) NOT NULL default '0',
  `story_url` tinyblob NOT NULL,
  PRIMARY KEY  (`story_id`)
) TYPE=MyISAM;

