<?
// topicalRSS.php
// A page that displays a customized RSS 2.0 feed based on the most recent
// stories in a particular topic, supplied by the user.
// Hollis Easter (domain@holliseaster.com) Summer 2005
// a typical use might be:
// www.yourstation.org/topicalRSS.php?topic=Hollis%20Easter&num=5&podcast=true

include_once ("newsdb/config.php");
include_once ("newsdb/functions.php");


if (isset($_GET['topic'])) {
  $topic = $_GET['topic'];
}
else {
  echo "Fatal error: no topic supplied.\n";
  exit;
}

// title alterations
// set a key into the $titles array (make sure to use single quotes)
// and give it a title string.

// Example: 
// $titles['environment'] = "Regional environmental news from North Country Public Radio, including features from the Great Lakes Radio Consortium";

// check to see if the chosen topic is in the titles array
$title = SITE_NAME." Topical RSS: $topic"; // the default title string
if (isset($titles[$topic])) {
  $title = $titles[$topic];
}

if (isset($_GET['num'])) {
  $num = $_GET['num'];
}
else {
  $num = 10;
}
if (isset($_GET['podcast'])) {
  $podcast = $_GET['podcast'];
}
else {
  $podcast = 'false';
}

$connect = dbconnect();

header("Content-type: text/xml; charset=iso-8859-1");
echo '<?xml version="1.0" encoding="iso-8859-1"?>'."\n";
echo '<rss xmlns:itunes="http://www.itunes.com/dtds/podcast-1.0.dtd" version="2.0">'."\n";
echo '<channel>'."\n";
echo '<title>'.$title.'</title>'."\n";
echo '<link>http://'.$_SERVER['HTTP_HOST'].'</link>'."\n";
echo '<description>Latest '.SITE_OWNER.' news by topic. Topic='.$topic.'.</description>'."\n";
echo '<language>en-us</language>'."\n";
echo '<copyright>&#x2117; &amp; &#xA9; '.date("Y").', North Country Public Radio</copyright>'."\n";
echo '<docs>http://blogs.law.harvard.edu/tech/rss</docs>'."\n";
echo '<ttl>60</ttl>'."\n"; // make aggregators refresh every hour
echo '<managingEditor>'.SITE_EMAIL.'</managingEditor>'."\n";
echo '<webMaster>'.SITE_EMAIL.'</webMaster>'."\n";
if ($podcast == "true") {
  echo '<itunes:author>'.SITE_NAME.' Newsroom</itunes:author>'."\n";
  echo '<itunes:summary>'.RSS_DESCR.'</itunes:summary>'."\n";
  echo "<itunes:owner>\n";
  echo "<itunes:name>Managing Editor</itunes:name>\n";
  echo "<itunes:email>".SITE_EMAIL."</itunes:email>\n";
  echo "</itunes:owner>\n";
  echo "<itunes:category text=\"News\"></itunes:category>\n";
  echo "<itunes:image href=\"".INSTALL_URL."/logo.gif\" />\n";
}
echo ''."\n";
echo '<image>'."\n";
echo '<title>'.SITE_NAME.' Newsroom</title>'."\n";
echo '<url>'.INSTALL_URL.'/logo.gif</url>'."\n";
echo '<link>http://'.$_SERVER['HTTP_HOST'].'</link>'."\n";
echo '<width>80</width>'."\n";
echo '<height>20</height>'."\n";
echo '<description>'.RSS_DESCR.'</description>'."\n";
echo '</image>'."\n";


$query = "SELECT * FROM news WHERE keywords LIKE '%$topic%' ORDER BY storydate DESC LIMIT 0, $num";
$result = mysql_query ($query);

if ($story = mysql_fetch_array($result)) {
  do {
    $storyid = $story['story_id'];
    $title = htmlspecialchars(html_entity_decode(strip_tags($story['title']), ENT_QUOTES));
    $title = str_replace("'", "&apos;", $title);
    //$title = str_replace("&", "&amp;", $title);
    $storydate = strtotime($story['storydate']);
    $storyyear = date( "y", $storydate );
    $storymonth = date( "n", $storydate );
    $storyday = date( "j", $storydate );
    $description = htmlspecialchars(html_entity_decode(strip_tags($story['description']), ENT_QUOTES));
    $description = str_replace("'", "&apos;", $description);
    $audio = $story['audio'];
    //for stories from reporters that do not appear on news.php
    $reporter_id = $story['reporter_id'];
    $reportername = mysql_fetch_array(mysql_query("SELECT reporter FROM reporters WHERE reporter_id = '$reporter_id'"));
    //end reporter variables
    echo "<item>\n";
    echo "<title>$title</title>\n";
    //base URL link handling for non-news page reporters
    echo "<link>".INSTALL_URL."/news.php?getnewsfordate=1&amp;mm=".date('m', $storydate)."&amp;dd=".date('d', $storydate)."&amp;yyyy=".date('Y', $storydate)."#$storyid</link>\n";

    //end URL linkhandling
    echo "<description><![CDATA[$description]]></description>\n";
    echo "<pubDate>".date("r",$storydate)."</pubDate>\n";

    if ($podcast == "true") {
      // for some strange reason, stripos () breaks things.
      if (strpos($audio, 'm3u') || strpos($audio, 'M3U')) {
        // $audio is an M3U playlist. We get the MP3 URL from it
        $mp3url = file_get_contents(AUDIO_DIR . $audio);
        // now we need to extract a filename from the URL. The URL contains
        // location data, the filename, and timecode positioning data.
        // we extract the filename.
        // $mp3 gets the extracted filename
        preg_match("/.+\/(.+)(\?.*)?/", $mp3url, $matches);
        $mp3 = $matches[1];

        // $enclen has to be generated locally, using the filename extracted.
        $enclen = filesize( AUDIO_DIR.$mp3 );

        echo "<enclosure url=\"". AUDIO_URL . "$mp3\" length=\"$enclen\" type=\"audio/mpeg\"/>\n";
        echo "<itunes:author>".SITE_NAME.": ".$reportername['reporter']."</itunes:author>\n";
        echo "<itunes:summary><![CDATA[$description]]></itunes:summary>\n";
        echo "<guid>". AUDIO_URL . $mp3 . "</guid>\n";
        $duration = "";
        if ($story['endhour']) {
          $duration = ($story['endhour'] - $story['starthour'] ) . ":";
        }
        $duration .= ($story['endmin'] - $story['startmin'] ) . ":";
        $duration .= $story['endsec'] - $story['startsec'];
        echo "<itunes:duration>$duration</itunes:duration>\n";
        echo "<itunes:keywords>".html_entity_decode($story['keywords'])."</itunes:keywords>\n";
      }
    }
    echo "</item>\n";

  }
  while ($story = mysql_fetch_array($result));
  echo "\n";
}
//else {
//  echo "<p>No items listed for $topic - please check back again later</p><br>\n";
//}
mysql_close ($link);
?>

</channel>
</rss>
