<?php
error_reporting(E_ALL);
ini_set("display_errors",1);
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* A simple vCal generation class for PHP 4                         *
* Copyright (C) Jasper Bekkers (PrisonerOfPain) 2004               *
*                                                                  *
* This program is free software; you can redistribute it and/      *
* or modify it under the terms of the GNU General Public License   *
* as published by the Free Software Foundation; either version 2   *
* of the License, or (at your option) any later version.           *
*                                                                  *
* This program is distributed in the hope that it will be useful,  *
* but WITHOUT ANY WARRANTY; without even the implied warranty of   *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
* General Public License for more details.                         *
*                                                                  *
* You should have received a copy of the GNU General Public        *
* License along with this program; if not, write to the            *
* Free Software Foundation, Inc.,                                  *
* 59 Temple Place, Suite 330,                                      *
* Boston,                                                          *
* MA 02111-1307 USA                                                *
*                                                                  *
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

define ("CL_PUBLIC",        "PUBLIC");
define ("CL_PRIVATE",       "PRIVATE");
define ("CL_CONFIDENTIAL",  "CONFIDENTIAL");

class vCalendar
{
    var $vEvents = array();

    function addEvent (&$event)
    {
        $this->vEvents[] =& $event;
    }

    function render()
    {
        $result = "BEGIN:VCALENDAR\nVERSION:1.0\n";
        if (!empty ($this->vEvents))
        {
            foreach ($this->vEvents as $event)
            {
                $result .= $event->render();
            }
        }
        $result .= "END:VCALENDAR";
        return ($result);
    }
}

class vEvent
{
    var $event = array();

    function vEvent ()
    {
        $event['summary']       = '';
        $event['description']   = '';
        $event['dtstart']       = '';
        $event['dtend']         = '';
    }

    function setSummary ($summary)
    {
        $this->event['summary'] = $summary;
    }

    function setDescription ($description)
    {
        $this->event['description'] = $description;
    }

    function setStart ($start) //unix timestamp
    {
        $this->event['dtstart'] = $start;
    }

    function setClass ($class)
    {
        switch ($class)
        {
            case CL_PUBLIC:
            case CL_PRIVATE:
            case CL_CONFIDENTIAL:
                $this->event['class'] = $class;
                break;
            default:
                $this->event['class'] = CL_PUBLIC;
                break;
        }
    }

    function setAlarm ($time, $repMin, $rep, $text)
    {
        $this->event['alarm']['begin']  = $this->_unix2vc ($time);
        $this->event['alarm']['repMin'] = $repMin;
        $this->event['alarm']['rep']    = $rep;
        $this->event['alarm']['text']   = $this->_crlf2vc ($text);
    }

    function setURL ($url)
    {
        $this->event['uri'] = $url;
    }

    function setEnd ($end) //unix timestamp
    {
        $this->event['dtend'] = $end;
    }

    function _unix2vc ($unix)
    {
        return (date ("Ymd\THis", $unix));
    }

    function _crlf2vc ($text)
    {
        $return = array ("\r\n","\n","\r");
        return (str_replace ($return, "=0D=0A=", $text));
    }

    function _render ()
    {
        $result['begin']        = "BEGIN:VEVENT";
        $result['summary']      = "SUMMARY:"    . $this->event['summary'];
        $result['description']  = "DESCRIPTION;ENCODING=QUOTED-PRINTABLE:" .
                                    $this->_crlf2vc ($this->event['description']);
        $result['dtstart']      = "DTSTART:"    . $this->_unix2vc ($this->event['dtstart']);
        $result['dtend']        = "DTSTART:"    . $this->_unix2vc ($this->event['dtend']);
        if (isSet ($this->event['class']))
        {
            $result['class']        = "CLASS:"      . $this->event['class'];
        }
        if (isSet ($this->event['alarm']))
        {
            $result['alarm']    = "DALARM:"     .   $this->event['alarm']['begin']      . ":PT" .
                                                    $this->event['alarm']['repMin']     . "M:" .
                                                    $this->event['alarm']['rep']        . ":" .
                                                    $this->event['alarm']['text'];
        }
        if (isSet ($this->event['uri']))
        {
            $result['uri']      = "URI:"        .   $this->event['uri'];
        }
        //$result['uid']          = uniqid ("");
        $result['end']          = "END:VEVENT";
        return ($result);
    }

    function render ()
    {
        $result = $this->_render ();
        $return = '';
        foreach ($result as $value)
        {
            $return .= $value . "\n";
        }
        return $return;
    }
}
$vCalender  = new vCalendar ();
?>