# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net

# --------------------------------------------------------

#
# Table structure for table `cal_announcements`
#

CREATE TABLE `cal_announcements` (
  `annc_id` int(6) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `s_date` date NOT NULL default '0000-00-00',
  `e_date` date NOT NULL default '0000-00-00',
  `title` varchar(64) default NULL,
  `content` text,
  PRIMARY KEY  (`annc_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `cal_announcements`
#


# --------------------------------------------------------

#
# Table structure for table `cal_categories`
#

CREATE TABLE `cal_categories` (
  `id` tinyint(3) NOT NULL auto_increment,
  `name` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=28 ;

#
# Dumping data for table `cal_categories`
#

INSERT INTO `cal_categories` VALUES (5, 'Classes/Workshops\n');
INSERT INTO `cal_categories` VALUES (7, 'Community Events\n');
INSERT INTO `cal_categories` VALUES (26, 'Music, Art, & Cultural');
INSERT INTO `cal_categories` VALUES (27, 'Meetings');

# --------------------------------------------------------

#
# Table structure for table `cal_config`
#

CREATE TABLE `cal_config` (
  `cal_id` int(3) NOT NULL auto_increment,
  `baseurl` varchar(255) default NULL,
  `admin_dir` varchar(255) default NULL,
  `admin_url` varchar(255) default NULL,
  `caldir` varchar(255) default NULL,
  `forms_dir` varchar(255) default NULL,
  `stylesheet` varchar(255) default NULL,
  `adminemail` varchar(255) default NULL,
  `calendaremail` varchar(255) default NULL,
  `notify_post_email` tinyint(1) NOT NULL default '0',
  `url_rewrite` tinyint(1) NOT NULL default '1',
  `auto_globals` tinyint(1) NOT NULL default '1',
  `allow_submit` tinyint(1) NOT NULL default '0',
  `debug` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`cal_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `cal_config`
#

INSERT INTO `cal_config` VALUES (1, 'http://bwakensquork.f2o.org/', 'projects/pmm-cms/admin/comcal', 'projects/pmm-cms/admin/comcal/', 'projects/pmm-cms/comcal/', 'forms/', 'http://bwakensquork.f2o.org/projects/pmm-cms/comcal/styles/cal.css', 'bwakensquork@f2o.org', 'bwakensquork@f2o.org', 0, 0, 0, 1, 0);

# --------------------------------------------------------

#
# Table structure for table `cal_contacts`
#

CREATE TABLE `cal_contacts` (
  `contact_id` int(10) NOT NULL auto_increment,
  `contact_fname` varchar(20) default NULL,
  `contact_lname` varchar(20) default NULL,
  `contact_email` varchar(64) default NULL,
  `contact_phone` varchar(20) default NULL,
  PRIMARY KEY  (`contact_id`),
  UNIQUE KEY `contact_id` (`contact_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `cal_contacts`
#


# --------------------------------------------------------

#
# Table structure for table `cal_events`
#

CREATE TABLE `cal_events` (
  `event_id` int(6) NOT NULL auto_increment,
  `approved` tinyint(1) NOT NULL default '0',
  `contact_id` int(4) NOT NULL default '0',
  `event_name` text,
  `event_descr` text,
  `event_type` tinyint(1) default '0',
  `event_recur` tinyint(1) NOT NULL default '0',
  `event_recur_day` tinyint(1) NOT NULL default '0',
  `event_country` varchar(32) default NULL,
  `event_welcome` text,
  `event_sdate` date NOT NULL default '0000-00-00',
  `event_smonth` tinyint(2) default NULL,
  `event_sday` tinyint(2) NOT NULL default '0',
  `event_syear` int(4) NOT NULL default '0',
  `event_time` tinyint(1) NOT NULL default '0',
  `event_time_hour` tinyint(2) unsigned zerofill NOT NULL default '00',
  `event_time_minute` tinyint(2) unsigned zerofill NOT NULL default '00',
  `event_time_ampm` tinyint(1) NOT NULL default '1',
  `event_duration` time default NULL,
  `event_edate` date NOT NULL default '0000-00-00',
  `event_emonth` tinyint(2) default NULL,
  `event_eday` tinyint(2) NOT NULL default '0',
  `event_eyear` int(4) NOT NULL default '0',
  `event_time_hour_end` tinyint(2) unsigned zerofill NOT NULL default '00',
  `event_time_minute_end` tinyint(2) unsigned zerofill NOT NULL default '00',
  `event_time_ampm_end` tinyint(1) NOT NULL default '1',
  `event_raindate` date default NULL,
  `event_preregdead` date default NULL,
  `event_fee` text,
  `user_id` int(11) NOT NULL default '0',
  `link_id` int(11) default NULL,
  `venue_id` int(11) default NULL,
  `community_id` int(11) default NULL,
  `org_id` int(11) default NULL,
  `event_email` varchar(48) default NULL,
  `event_phone` varchar(24) default NULL,
  `category` tinyint(3) default '0',
  `lastedit` timestamp(14) NOT NULL,
  PRIMARY KEY  (`event_id`),
  UNIQUE KEY `event_id` (`event_id`)
) TYPE=MyISAM AUTO_INCREMENT=52 ;

#
# Dumping data for table `cal_events`
#


# --------------------------------------------------------

#
# Table structure for table `cal_links`
#

CREATE TABLE `cal_links` (
  `link_id` int(10) NOT NULL auto_increment,
  `link_href` varchar(64) default NULL,
  `link_content` varchar(255) default NULL,
  PRIMARY KEY  (`link_id`),
  UNIQUE KEY `link_id` (`link_id`)
) TYPE=MyISAM AUTO_INCREMENT=23 ;

#
# Dumping data for table `cal_links`
#


# --------------------------------------------------------

#
# Table structure for table `cal_orgs`
#

CREATE TABLE `cal_orgs` (
  `org_id` int(10) NOT NULL auto_increment,
  `org_name` varchar(64) default NULL,
  `org_addr` varchar(64) default NULL,
  `org_phone` varchar(20) default NULL,
  `org_email` varchar(20) default NULL,
  `org_fax` varchar(20) default NULL,
  PRIMARY KEY  (`org_id`),
  UNIQUE KEY `org_id` (`org_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Dumping data for table `cal_orgs`
#


# --------------------------------------------------------

#
# Table structure for table `cal_users`
#

CREATE TABLE `cal_users` (
  `user_id` int(10) NOT NULL auto_increment,
  `user_name` varchar(20) default NULL,
  `user_password` varchar(64) default NULL,
  `user_email` varchar(64) default NULL,
  `user_phone` varchar(20) default NULL,
  `user_realname` varchar(64) default NULL,
  `auth` tinyint(2) default '0',
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `user_id` (`user_id`)
) TYPE=MyISAM AUTO_INCREMENT=31 ;

#
# Dumping data for table `cal_users`
#

INSERT INTO `cal_users` VALUES (2, 'test', '378b243e220ca493', 'you@yourdomain.org', '888-555-1212', 'Test User', 0);
INSERT INTO `cal_users` VALUES (1, 'admin', '43e9a4ab75570f5b', 'bill@hcomtech.com', '877-283-6451', 'Administrator', 5);

# --------------------------------------------------------

#
# Table structure for table `cal_userven`
#

CREATE TABLE `cal_userven` (
  `user_id` int(11) default '0',
  `venue_id` int(11) default '0',
  `user_default` tinyint(1) NOT NULL default '0'
) TYPE=MyISAM;

#
# Dumping data for table `cal_userven`
#

INSERT INTO `cal_userven` VALUES (2, 1, 1);

# --------------------------------------------------------

#
# Table structure for table `cal_venues`
#

CREATE TABLE `cal_venues` (
  `venue_id` int(10) NOT NULL auto_increment,
  `venue_name` varchar(64) default NULL,
  `venue_addr` varchar(255) default NULL,
  `venue_phone` varchar(20) default NULL,
  `venue_email` varchar(64) default NULL,
  `url_id` int(11) NOT NULL default '0',
  `venue_fax` varchar(20) default NULL,
  `community_id` int(10) NOT NULL default '0',
  `user_id` tinyint(4) NOT NULL default '0',
  `approved` tinyint(1) unsigned zerofill default '0',
  PRIMARY KEY  (`venue_id`),
  UNIQUE KEY `venue_id` (`venue_id`)
) TYPE=MyISAM AUTO_INCREMENT=24 ;

#
# Dumping data for table `cal_venues`
#

INSERT INTO `cal_venues` VALUES (1, 'My Test Venue', '123 My Street', '315-315-3155', 'me@mydomain.com', 1, '315-315-3155', 151, 2, 0);

# --------------------------------------------------------

#
# Table structure for table `communities`
#

CREATE TABLE `communities` (
  `community_id` int(10) NOT NULL auto_increment,
  `community_name` varchar(64) default NULL,
  `community_state` varchar(20) default NULL,
  `community_county` varchar(64) default NULL,
  `community_country` varchar(64) default NULL,
  `community_zip` varchar(20) default NULL,
  PRIMARY KEY  (`community_id`),
  UNIQUE KEY `community_id` (`community_id`)
) TYPE=MyISAM AUTO_INCREMENT=1094 ;

#
# Dumping data for table `communities`
#

INSERT INTO `communities` VALUES (7, 'ADAMS', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (8, 'ADAMS CENTER', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (9, 'ADDISON', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (10, 'ADIRONDACK', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (12, 'ALBANY', '43', 'ALBANY', 'USA', NULL);
INSERT INTO `communities` VALUES (14, 'ALBURG', '61', 'GRAND ISLE', 'USA', NULL);
INSERT INTO `communities` VALUES (16, 'ALEXANDRIA BAY', '43', 'JEFFERSON', 'USA', '');
INSERT INTO `communities` VALUES (19, 'ALPLAUS', '43', 'SCHENECTADY', 'USA', NULL);
INSERT INTO `communities` VALUES (20, 'ALTAMONT', '43', 'ALBANY', 'USA', NULL);
INSERT INTO `communities` VALUES (21, 'ALTONA', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (30, 'ANTWERP', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (32, 'APPLE HILL', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (34, 'ARGYLE', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (39, 'ASHTON', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (40, 'ATHELSTAN', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (41, 'ATHENS', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (42, 'ATHOL', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (45, 'AU SABLE FORKS', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (50, 'AVONMORE', '46', 'STORMONT', 'CAN', NULL);
INSERT INTO `communities` VALUES (51, 'AYLMER', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (52, 'BAIED\'URFD', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (55, 'BAKERS MILLS', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (56, 'BAKERSFIELD', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (59, 'BALLSTON SPA', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (61, 'BARNEVELD', '43', 'ONEIDA', 'USA', NULL);
INSERT INTO `communities` VALUES (70, 'BEAVER FALLS', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (76, 'BELIVDERE', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (78, 'BELLEVILLE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (89, 'BLACK RIVER', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (90, 'BLOOMINGDALE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (93, 'BLUE MOUNTAIN LAKE', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (95, 'BOLTON LANDING', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (96, 'BOLTON VALLEY', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (97, 'BOMBAY', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (107, 'BRANDON', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (108, 'BRANT LAKE', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (109, 'BRANTINGHAM', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (111, 'BRASHER FALLS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (116, 'BRIDGEPORT', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (119, 'BRIER HILL', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (121, 'BRISTOL', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (123, 'BROCKVILLE', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (131, 'BROWNVILLE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (133, 'BRUSHTON', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (136, 'BURKE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (137, 'BURLINGTON', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (138, 'BURNT HILLS', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (139, 'BURRITTS RAPIDS', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (140, 'BUSKIRK', '43', 'RENSSELAER', 'USA', NULL);
INSERT INTO `communities` VALUES (141, 'CADYVILLE', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (142, 'CALCIUM', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (147, 'CAMBRIDGE', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (151, 'CANTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (154, 'CAPE VINCENT', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (155, 'CARDINAL', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (156, 'CARLETON PLACE', '46', 'LANARK', 'CAN', NULL);
INSERT INTO `communities` VALUES (159, 'CAROGA LAKE', '43', 'FULTON', 'USA', NULL);
INSERT INTO `communities` VALUES (161, 'CARTHAGE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (164, 'CASTORLAND', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (169, 'CHAMPLAIN', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (173, 'CHARLOTTE', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (175, 'CHARLTON', '43', 'MONTGOMERY', 'USA', NULL);
INSERT INTO `communities` VALUES (176, 'CHASE MILLS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (177, 'CHATEAUGAY', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (179, 'CHAUMONT', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (180, 'CHAZY', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (185, 'CHESTERTOWN', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (186, 'CHESTERVILLE', '46', 'DUNDAS', 'CAN', NULL);
INSERT INTO `communities` VALUES (189, 'CHILDWOLD', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (191, 'CHURUBUSCO', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (198, 'CLAYTON', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (202, 'CLEVERDALE', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (207, 'COLCHESTER', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (210, 'COLTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (215, 'CONSTABLE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (217, 'COOPERSTOWN', '43', 'OTSEGO', 'USA', NULL);
INSERT INTO `communities` VALUES (218, 'COPENHAGEN', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (221, 'CORINTH', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (222, 'CORNWALL', '46', 'STORMONT', 'CAN', NULL);
INSERT INTO `communities` VALUES (224, 'CRANBERRY LAKE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (227, 'CROGHAN', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (228, 'CROWN POINT', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (229, 'CRYSLER', '46', 'STORMONT', 'CAN', NULL);
INSERT INTO `communities` VALUES (234, 'DANBY', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (235, 'DANNEMORA', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (241, 'DEER RIVER', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (242, 'DEKALB JCT', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (246, 'DELTA', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (248, 'DEPAUVILLE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (252, 'DEXTER', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (253, 'DIAMOND POINT', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (254, 'DICKINSON CENTER', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (255, 'DIX HILLS', '43', 'SUFFOLK', 'USA', NULL);
INSERT INTO `communities` VALUES (256, 'DORSET', '61', 'BENNINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (257, 'DORVAL', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (264, 'E. FAIRFIELD', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (266, 'EAGLE BAY', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (274, 'EAST ROLLINGFORD', '61', '', 'USA', NULL);
INSERT INTO `communities` VALUES (276, 'EASTCHESTER', '43', 'WESTCHESTER', 'USA', NULL);
INSERT INTO `communities` VALUES (279, 'EDWARDS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (283, 'ELGIN', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (284, 'ELIZABETHTOWN', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (287, 'ELLENBURG CENTER', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (288, 'ELLENBURG DEPOT', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (297, 'ENOSBURG FALLS', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (300, 'ESSEX', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (301, 'ESSEX', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (302, 'ESSEX JCT', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (304, 'EVANS MILLS', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (309, 'FAIRFAX', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (311, 'FAIRFIELD', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (312, 'FAIRHAVEN', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (317, 'FARMINGDALE', '43', 'SUFFOLK', 'USA', NULL);
INSERT INTO `communities` VALUES (319, 'FAYETTEVILLE', '43', 'ONONDAGA', 'USA', NULL);
INSERT INTO `communities` VALUES (320, 'FELTS MILLS', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (322, 'FERRISBURG', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (323, 'FINCH', '46', 'STORMONT', 'CAN', NULL);
INSERT INTO `communities` VALUES (324, 'FINE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (330, 'FOREST HILLS', '43', 'QUEENS', 'USA', NULL);
INSERT INTO `communities` VALUES (331, 'FORT ANN', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (332, 'FORT COVINGTON', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (333, 'FORT DRUM', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (334, 'FORT EDWARD', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (335, 'FORT JACKSON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (342, 'FRANKLIN', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (345, 'FULTON', '43', 'OSWEGO', 'USA', NULL);
INSERT INTO `communities` VALUES (346, 'GABRIELS', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (349, 'GANANOQUE', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (350, 'GANSEVOORT', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (360, 'GLEN ROBERTSON', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (362, 'GLENFIELD', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (364, 'GLENS FALLS', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (365, 'GLENVILLE', '43', 'SCHENECTADY', 'USA', NULL);
INSERT INTO `communities` VALUES (367, 'GLOUCESTER', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (372, 'GOUVERNEUR', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (374, 'GRAND ISLAND', '43', '', 'USA', NULL);
INSERT INTO `communities` VALUES (375, 'GRAND ISLE', '61', 'GRAND ISLE', 'USA', NULL);
INSERT INTO `communities` VALUES (377, 'GRANITE SPRINGS', '43', 'WESTCHESTER', 'USA', NULL);
INSERT INTO `communities` VALUES (378, 'GRANVILLE', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (379, 'GREAT BEND', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (382, 'GREENFIELD CENTER', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (386, 'GREENWICH', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (390, 'HADLEY', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (391, 'HAILESBORO', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (398, 'HAMMOND', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (399, 'HAMMOND', '46', 'RUSSELL', 'CAN', NULL);
INSERT INTO `communities` VALUES (401, 'HAMPTON', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (403, 'HANNAWA FALLS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (406, 'HARDWICK', '61', 'CALEDONIA', 'USA', NULL);
INSERT INTO `communities` VALUES (409, 'HARRISVILLE', '43', '', 'USA', NULL);
INSERT INTO `communities` VALUES (416, 'HELENA', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (418, 'HENDERSON HARBOR', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (421, 'HERMON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (424, 'HEUVELTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (426, 'HIGHGATE', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (427, 'HIGHGATE SPRINGS', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (431, 'HINESBURG', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (434, 'HOGANSBURG', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (444, 'HOPKINTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (447, 'HUDSON', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (448, 'HULETTS LANDING', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (453, 'HUNTINGTON', '61', 'CHITENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (1087, 'Fineview', '43', NULL, 'USA', '13640');
INSERT INTO `communities` VALUES (458, 'INDIAN LAKE', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (460, 'INGLESIDE', '46', 'STORMONT', 'CAN', NULL);
INSERT INTO `communities` VALUES (461, 'INLET', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (463, 'IROQUOIS', '46', 'DUNDAS', 'CAN', NULL);
INSERT INTO `communities` VALUES (464, 'ISLE LA MOTTE', '61', 'GRAND ISLE', 'USA', NULL);
INSERT INTO `communities` VALUES (469, 'JAY', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (470, 'JEFFERSONVILLE', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (471, 'JERICHO', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (472, 'JOHNSBURG', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (473, 'JOHNSON', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (475, 'JOHNSTOWN', '43', 'FULTON', 'USA', NULL);
INSERT INTO `communities` VALUES (476, 'JONESVILLE', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (479, 'KARS', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (482, 'KEENE', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (483, 'KEENE VALLEY', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (484, 'KEESEVILLE', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (485, 'KEMPTVILLE', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (497, 'KINGSTON', '46', 'FRONTENAC', 'CAN', NULL);
INSERT INTO `communities` VALUES (501, 'LAFARGEVILLE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (506, 'LAKE CLEAR', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (507, 'LAKE GEORGE', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (508, 'LAKE LUZERNE', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (510, 'LAKE PLACID', '43', 'ESSEX', 'USA', '');
INSERT INTO `communities` VALUES (511, 'LAKE PLEASANT', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (515, 'LANCASTER', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (517, 'LANSDOWNE', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (522, 'LAVAL', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (523, 'LAWRENCEVILLE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (533, 'LISBON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (538, 'LONG LAKE', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (543, 'LORRAINE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (548, 'LOWVILLE', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (550, 'LYN', '46', 'LEEDS', 'CAN', NULL);
INSERT INTO `communities` VALUES (552, 'LYON MT.', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (558, 'MADRID', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (559, 'MAITLAND', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (561, 'MALLORYTOWN', '46', 'LEEDS', 'CAN', '');
INSERT INTO `communities` VALUES (562, 'MALONE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (565, 'MANCHESTER', '61', 'BENNINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (569, 'MANOTICK', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (576, 'MARTINSBURG', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (579, 'MASSENA', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (588, 'MERRICKVILLE', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (589, 'MERRILL', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (591, 'METCALFE', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (593, 'MIDDLEBURY', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (595, 'MIDDLETOWN SPRINGS', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (603, 'MILTON', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (606, 'MINERVA', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (610, 'MOIRA', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (611, 'MONKTON', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (613, 'MONTPELIER', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (614, 'MONTREAL', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (616, 'MOOERS', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (617, 'MOOERS FORKS', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (619, 'MORRISBURG', '46', 'DUNDAS', 'CAN', NULL);
INSERT INTO `communities` VALUES (622, 'MORRISTOWN', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (627, 'MOUNTAIN', '46', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (628, 'MOUNTAIN VIEW', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (635, 'N. HERO', '61', 'GRAND ISLE', 'USA', NULL);
INSERT INTO `communities` VALUES (642, 'NATURAL BRIDGE', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (645, 'NEPEAN', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (659, 'NEW RUSSIA', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (666, 'NEWCOMB', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (667, 'NEWTON FALLS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (670, 'NICHOLVILLE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (673, 'NORFOLK', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (675, 'NORTH BANGOR', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (677, 'NORTH CREEK', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (678, 'NORTH FERRISBURG', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (679, 'NORTH GOWER', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (680, 'NORTH GRANVILLE', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (682, 'NORTH LANCASTER', '46', 'GLENGARY', 'CAN', NULL);
INSERT INTO `communities` VALUES (683, 'NORTH LAWRENCE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (686, 'NORTH RIVER', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (690, 'NORTHVILLE', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (693, 'NORWOOD', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (698, 'OGDENSBURG', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (701, 'OLD FORGE', '43', 'HERKIMER', 'USA', NULL);
INSERT INTO `communities` VALUES (703, 'OLMSTEDVILLE', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (705, 'ONCHIOTA', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (713, 'ORLEANS', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (715, 'ORMSTOWN', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (716, 'OSGOODE', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (718, 'OSWEGATCHIE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (719, 'OSWEGO', '43', 'OSWEGO', 'USA', NULL);
INSERT INTO `communities` VALUES (720, 'OTTAWA', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (723, 'OXBOW', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (724, 'OXFORD MILLS', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (731, 'PARADOX', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (733, 'PARISHVILLE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (736, 'PAUL SMITHS', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (737, 'PAWLET', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (744, 'PERU', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (745, 'PERU', '61', 'BENNINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (747, 'PHILADELPHIA', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (751, 'PIERCEFIELD', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (752, 'PIERREFONDS', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (753, 'PILOT KNOB', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (755, 'PINEVILLE', '43', 'OSWEGO', 'USA', NULL);
INSERT INTO `communities` VALUES (758, 'PITTSFORD', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (759, 'PLAINFIELD', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (761, 'PLATTSBURGH', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (764, 'PLESSIS', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (769, 'PORT HENRY', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (770, 'PORT KENT', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (771, 'PORT LEYDEN', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (779, 'POTSDAM', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (781, 'POTTERSVILLE', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (784, 'POULTNEY', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (785, 'PRESCOTT', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (787, 'PROSPECT', '43', 'ONEIDA', 'USA', NULL);
INSERT INTO `communities` VALUES (789, 'PYRITES', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (1086, 'Chippewa Bay', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (791, 'QUEENSBURY', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (794, 'RAINBOW LAKE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (797, 'RAQUETTE LAKE', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (798, 'RAY BROOK', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (799, 'RAYMONDVILLE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (803, 'REDFORD', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (804, 'REDWOOD', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (805, 'REMSEN', '43', 'ONEIDA', 'USA', NULL);
INSERT INTO `communities` VALUES (807, 'RENSSELAER FALLS', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (809, 'RICHFORD', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (811, 'RICHMOND', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (813, 'RICHVILLE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (816, 'RIPARIUS', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (817, 'RIPTON', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (820, 'ROCHESTER', '61', 'WINDSOR', 'USA', NULL);
INSERT INTO `communities` VALUES (822, 'RODMAN', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (824, 'ROOSEVELTOWN', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (829, 'ROUND LAKE', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (831, 'ROUSES POINT', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (836, 'RUPERT', '61', 'BENNINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (838, 'RUSSELL', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (839, 'RUSSELL', '46', 'RUSSELL', 'CAN', NULL);
INSERT INTO `communities` VALUES (842, 'S. BURLINGTON', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (844, 'SABAEL', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (845, 'SACKETS HARBOR', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (848, 'SAINT HUBERT', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (849, 'SAINT-BENOIT-DU-LAC', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (850, 'SALEM', '43', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (851, 'SALISBURY', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (859, 'SARANAC', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (860, 'SARANAC LAKE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (862, 'SARATOGA SPRINGS', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (869, 'SCHROON LAKE', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (870, 'SCHUYLER FALLS', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (878, 'SEVERANCE', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (881, 'SHELBURNE', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (882, 'SHELDON', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (886, 'SHOREHAM', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (887, 'SHREWSBURY', '61', 'RUTLAND', 'USA', NULL);
INSERT INTO `communities` VALUES (895, 'SMITHS FALLS', '46', 'LANARK', 'CAN', NULL);
INSERT INTO `communities` VALUES (897, 'SOMERS', '43', 'WESTCHESTER', 'USA', NULL);
INSERT INTO `communities` VALUES (901, 'SOUTH COLTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (902, 'SOUTH GLENS FALLS', '43', 'SARATOGA', 'USA', NULL);
INSERT INTO `communities` VALUES (903, 'SOUTH HERO', '61', 'GRAND ISLE', 'USA', NULL);
INSERT INTO `communities` VALUES (904, 'SOUTH LANCASTER', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (905, 'SOUTH MOUNTAIN', '46', 'DUNDAS', 'CAN', NULL);
INSERT INTO `communities` VALUES (908, 'SPECULATOR', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (910, 'SPENCERVILLE', '46', 'GRENVILLE', 'CAN', NULL);
INSERT INTO `communities` VALUES (913, 'ST. ALBANS', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (916, 'ST. LAZARE', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (917, 'ST. MARTHE', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (921, 'ST. PIE', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (922, 'ST. REGIS FALLS', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (924, 'STAATSBURG', '43', 'DUTCHESS', 'USA', NULL);
INSERT INTO `communities` VALUES (926, 'STAMFORD', '43', 'DELAWARE', 'USA', NULL);
INSERT INTO `communities` VALUES (928, 'STAR LAKE', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (929, 'STARKSBORO', '61', '', 'USA', NULL);
INSERT INTO `communities` VALUES (932, 'STE ANNE DE BELLEVUE', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (933, 'STE. AGNES DE DUNDEE', '51', '', 'CAN', NULL);
INSERT INTO `communities` VALUES (936, 'STILLWATER', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (937, 'STITTSVILLE', '46', 'OTTAWA-CARLETON', 'CAN', NULL);
INSERT INTO `communities` VALUES (939, 'STONY CREEK', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (941, 'STOWE', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (943, 'SUMMERSTOWN', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (947, 'SWANTON', '61', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (950, 'SYRACUSE', '43', 'ONONDAGA', 'USA', NULL);
INSERT INTO `communities` VALUES (1088, 'Hague', '43', NULL, '', '');
INSERT INTO `communities` VALUES (1089, 'Pierrepont', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1090, 'Woodgate', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1091, 'Osceola', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (961, 'THENDARA', '43', 'HERKIMER', 'USA', NULL);
INSERT INTO `communities` VALUES (962, 'THERESA', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (965, 'THOUSAND ISLAND PARK', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (966, 'THREE MILE BAY', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (967, 'TICONDEROGA', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (977, 'TUPPER LAKE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (978, 'TURIN', '43', 'LEWIS', 'USA', NULL);
INSERT INTO `communities` VALUES (981, 'UNDERHILL', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (982, 'UNDERHILL CENTER', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (986, 'UPPER JAY', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (987, 'UTICA', '43', 'ONEIDA', 'USA', NULL);
INSERT INTO `communities` VALUES (992, 'VERGENNES', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (993, 'VERMONTVILLE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (1000, 'WADDINGTON', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (1001, 'WADHAMS', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (1003, 'WAITSFIELD', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1009, 'WANAKENA', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (1014, 'WARRENSBURG', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (1016, 'WATERBURY', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1017, 'WATERBURY CENTER', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1020, 'WATERTOWN', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (1023, 'WATERVILLE', '61', 'LAMOILLE', 'USA', NULL);
INSERT INTO `communities` VALUES (1025, 'WEBSTER', '43', 'MONROE', 'USA', NULL);
INSERT INTO `communities` VALUES (1026, 'WELLESLEY ISLAND', '43', 'JEFFERSON', 'USA', NULL);
INSERT INTO `communities` VALUES (1027, 'WELLS', '43', 'HAMILTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1029, 'WEST CHAZY', '43', 'CLINTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1037, 'WEST STOCKHOLM', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (1040, 'WESTFORD', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (1043, 'WESTPORT', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (1045, 'WEVERTOWN', '43', 'WARREN', 'USA', NULL);
INSERT INTO `communities` VALUES (1047, 'WHIPPLEVILLE', '43', 'FRANKLIN', 'USA', NULL);
INSERT INTO `communities` VALUES (1050, 'WHITEFACE', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (1051, 'WHITESBORO', '43', 'ONEIDA', 'USA', NULL);
INSERT INTO `communities` VALUES (1052, 'WHITING', '61', 'ADDISON', 'USA', NULL);
INSERT INTO `communities` VALUES (1053, 'WILLIAMSBURG', '46', 'DUNDAS', 'CAN', NULL);
INSERT INTO `communities` VALUES (1056, 'WILLIAMSTOWN', '46', 'GLENGARRY', 'CAN', NULL);
INSERT INTO `communities` VALUES (1059, 'WILLISTON', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (1060, 'WILLSBORO', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (1063, 'WILMINGTON', '43', 'ESSEX', 'USA', NULL);
INSERT INTO `communities` VALUES (1067, 'WINOOSKI', '61', 'CHITTENDEN', 'USA', NULL);
INSERT INTO `communities` VALUES (1070, 'WINTHROP', '43', 'ST. LAWRENCE', 'USA', NULL);
INSERT INTO `communities` VALUES (1072, 'WOODHAVEN', '43', 'QUEENS', 'USA', NULL);
INSERT INTO `communities` VALUES (1073, 'WOODSIDE', '43', 'QUEENS', 'USA', NULL);
INSERT INTO `communities` VALUES (1076, 'WORCHESTER', '61', 'WASHINGTON', 'USA', NULL);
INSERT INTO `communities` VALUES (1085, 'Boonville', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1084, 'Hudson Falls', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1092, 'Constableville', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1093, 'Orwell', '61', NULL, 'USA', '05760');
INSERT INTO `communities` VALUES (1094, 'Morley', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1095, 'Weybridge', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1096, 'Stockholm', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1097, 'East Dekalb', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1098, 'Dekalb (Town of Dekalb)', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1099, 'St. Johnsbury', '61', NULL, 'USA', '05819');
INSERT INTO `communities` VALUES (1100, 'Castleton', '61', NULL, 'USA', '05735');
INSERT INTO `communities` VALUES (1101, 'Pope Mills', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1102, 'South Edwards', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1103, 'Crary Mills', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1120, 'Lyonsdale', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1105, 'Louisville', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1106, 'St. Lawrence County', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1107, 'Beekmantown', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1108, 'West Potsdam', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1109, 'Piseco', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1110, 'Watson', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1111, 'Silver bay', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1113, 'Owls Head', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1114, 'Fletcher', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1115, 'Ellenburg', '43', NULL, 'USA', '12933');
INSERT INTO `communities` VALUES (1139, 'Mannsville', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1117, 'Degrasse', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1118, 'Greensboro', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1119, 'Salmon River', '43', NULL, '', '');
INSERT INTO `communities` VALUES (1121, 'DePeyster', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1122, 'Lyons Falls', '43', NULL, 'USA', '13368');
INSERT INTO `communities` VALUES (1123, 'Altmar', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1124, 'Knapps Station', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1125, 'Chipman', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1126, 'Snye', '51', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1127, 'Rosiere', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1128, 'Carleton Place', '46', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1130, 'Alexandria', '46', NULL, 'CAN', 'K0C 1A0');
INSERT INTO `communities` VALUES (1131, 'West Carthage', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1132, 'Weston', '61', NULL, 'USA', '05161');
INSERT INTO `communities` VALUES (1133, 'Woodville', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1134, 'Clintonville', '43', NULL, 'USA', '12924');
INSERT INTO `communities` VALUES (1135, 'Moriah Corners', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1136, 'Stone Mills', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1137, 'Brandon Center', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1138, 'Maxville', '46', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1140, 'Verdun', '51', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1141, 'Frankfort', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1142, 'Duane', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1143, 'West Glens Falls', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1144, 'Loon Lake', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1145, 'Big Moose', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1146, 'Rockport', '46', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1147, 'Montgomery', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1148, 'Cornwall', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1149, 'Morin Heights', '51', NULL, 'CAN', '');
INSERT INTO `communities` VALUES (1150, 'Richmond', '61', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1151, 'Whallonsburg', '43', NULL, 'USA', '');
INSERT INTO `communities` VALUES (1152, 'Whitehall', '43', NULL, 'USA', '');


CREATE TABLE `states` (
  `state_id` tinyint(4) NOT NULL auto_increment,
  `state_name` char(64) default NULL,
  PRIMARY KEY  (`state_id`)
) TYPE=MyISAM AUTO_INCREMENT=66 ;

#
# Dumping data for table `states`
#

INSERT INTO `states` VALUES (2, 'AK');
INSERT INTO `states` VALUES (3, 'AL');
INSERT INTO `states` VALUES (4, 'AR');
INSERT INTO `states` VALUES (6, 'AZ');
INSERT INTO `states` VALUES (7, 'BC');
INSERT INTO `states` VALUES (8, 'CA');
INSERT INTO `states` VALUES (9, 'CO');
INSERT INTO `states` VALUES (10, 'CT');
INSERT INTO `states` VALUES (11, 'DC');
INSERT INTO `states` VALUES (12, 'DE');
INSERT INTO `states` VALUES (13, 'FL');
INSERT INTO `states` VALUES (15, 'GA');
INSERT INTO `states` VALUES (17, 'HI');
INSERT INTO `states` VALUES (18, 'IA');
INSERT INTO `states` VALUES (19, 'ID');
INSERT INTO `states` VALUES (20, 'IL');
INSERT INTO `states` VALUES (21, 'IN');
INSERT INTO `states` VALUES (22, 'KS');
INSERT INTO `states` VALUES (23, 'KY');
INSERT INTO `states` VALUES (24, 'LA');
INSERT INTO `states` VALUES (25, 'MA');
INSERT INTO `states` VALUES (26, 'MD');
INSERT INTO `states` VALUES (27, 'ME');
INSERT INTO `states` VALUES (29, 'MI');
INSERT INTO `states` VALUES (30, 'MN');
INSERT INTO `states` VALUES (31, 'MO');
INSERT INTO `states` VALUES (33, 'MS');
INSERT INTO `states` VALUES (34, 'MT');
INSERT INTO `states` VALUES (35, 'NC');
INSERT INTO `states` VALUES (36, 'ND');
INSERT INTO `states` VALUES (37, 'NE');
INSERT INTO `states` VALUES (38, 'NH');
INSERT INTO `states` VALUES (39, 'NJ');
INSERT INTO `states` VALUES (40, 'NM');
INSERT INTO `states` VALUES (41, 'NS');
INSERT INTO `states` VALUES (42, 'NV');
INSERT INTO `states` VALUES (43, 'NY');
INSERT INTO `states` VALUES (44, 'OH');
INSERT INTO `states` VALUES (45, 'OK');
INSERT INTO `states` VALUES (46, 'ON');
INSERT INTO `states` VALUES (47, 'OR');
INSERT INTO `states` VALUES (48, 'PA');
INSERT INTO `states` VALUES (49, 'PR');
INSERT INTO `states` VALUES (50, 'PW');
INSERT INTO `states` VALUES (51, 'QC');
INSERT INTO `states` VALUES (52, 'RI');
INSERT INTO `states` VALUES (53, 'SC');
INSERT INTO `states` VALUES (54, 'SD');
INSERT INTO `states` VALUES (55, 'TN');
INSERT INTO `states` VALUES (56, 'TX');
INSERT INTO `states` VALUES (57, 'UM');
INSERT INTO `states` VALUES (58, 'UT');
INSERT INTO `states` VALUES (59, 'VA');
INSERT INTO `states` VALUES (60, 'VI');
INSERT INTO `states` VALUES (61, 'VT');
INSERT INTO `states` VALUES (62, 'WA');
INSERT INTO `states` VALUES (63, 'WI');
INSERT INTO `states` VALUES (64, 'WV');
INSERT INTO `states` VALUES (65, 'WY');
