<?php
$begun = 0;
if ($cat)
{
    if (checkdate($cm, $cd, $cy))
    {
        $categoryname = get_category_name($cat);
        $date = mktime(0, 0, 1, $cm, $cd, $cy);
        if ($events = load_events_by_category($cat, $date))
        {
            echo "<h2>Events for ", date("F j, Y", $date), "</h2>\n";
            echo '<h3>Category: ' . $categoryname . '</h3>';
            echo '<hr width="95%" align="left" size="1">';
            foreach ($events as $event)
            {
                display_event($event, 0, $disp_calevents);
                echo '<hr width="95%" align="left" size="1">';
            } 
            $begun++;
        } 
        else
        {
            $errors[] = "&quot;$categoryname&quot;<br> has no events for<br>" . date("F j, Y", $date) . ".";
        } 
    } 
    else
    {
        $errors[] = "The specified date (" . htmlentities("$cy/$cm/$cd") . ") was not valid.";
        unset($cm);
        unset($cd);
        unset($cy);
    } 
} elseif ($id)
{
    if ($event = load_event($id))
    {
        display_event($event, $showdate);
        $begun++;
    } 
    else
    {
        $errors[] = "There is no event for specified id ('" . htmlentities($id) . "')";
    } 
} elseif ($cy && $cm && $cd)
{
    if (checkdate($cm, $cd, $cy))
    {
        $date = mktime(0, 0, 1, $cm, $cd, $cy);
        if ($events = load_events($date))
        {
            echo "<h2>Events for ", date("F j, Y", $date), "</h2>\n";
            echo '<hr width="95%" align="left" size="1">';
            foreach ($events as $event)
            {
                display_event($event, 0, $disp_calevents);
                echo '<hr width="95%" align="left" size="1">';
            } 
            $begun++;
        } 
        else
        {
            $errors[] = "There are no events for<br>" . date("F j, Y", $date) . ".";
        } 
    } 
    else
    {
        $errors[] = "The specified date (" . htmlentities("$cy/$cm/$cd") . ") was not valid.";
        unset($cm);
        unset($cd);
        unset($cy);
    } 
} 

if ($cm && $cy && !checkdate($cm, 1, $cy))
{
    $errors[] = "The specified year and month (" . htmlentities("$cy, $cm") . ") are not valid.";
    unset($cm);
    unset($cy);
} 

if ($errors) display_errors($errors);

if (!$begun)
{
    echo '	<h3>How to use this calendar:</h3>
<ul>
<li><strong>Click on a date</strong> to get the details for all of the events taking place that day.</li>
<li><strong>Click on a month</strong> name to view a calendar for that month.</li>
<li><strong>Select a month and year</strong> from the drop-down menu to view a calendar for that month and year.</li>
</ul>';
} 

?>
