<?
// set event type tag
$event_type_multi = ($in['event_type'] == 'multi' || $in['event_type'] == '2');
$event_type_recur = ($in['event_type'] == 'recur' || $in['event_type'] == '3');

// set checkdate tag
$checkdate_sdates = checkdate($in['event_smonth'], $in['event_sday'], $in['event_syear']);
$checkdate_edates = checkdate($in['event_emonth'], $in['event_eday'], $in['event_eyear']);


// valid start date?
if ($checkdate_sdates == false) 
{
	$errors[] = "You must specify a valid start date.";
}

// valid multi-date info (where appropriate)?
if ($event_type_multi == true)
{
	if ($checkdate_edates == false) 
	{
		$errors[] = "You must specify a valid end date for a multi-day event.";
	}
	elseif ($checkdate_sdates == true)
	{
		$sdate = mktime(0,0,1,$in['event_smonth'], $in['event_sday'], $in['event_syear']);
		$edate = mktime(0,0,1,$in['event_emonth'], $in['event_eday'], $in['event_eyear']);
		if (($edate < time()) && (empty($GLOBALS['admin']))) 
		{
			$errors[] = "You must specify an end date that is in the future.";
		}
		elseif ($edate < $sdate) 
		{
			$errors[] = "You must specify an end date that is after the start date.";
		}
	}
}

// valid recur info (where appropriate)?
elseif ($event_type_recur == true) 
{
	if (!($in['event_recur'] && $in['event_recur_day']))
	{
		$errors[] = "You must specify a valid day of the month for a recurring event.";
	}
}

// valid start date (not recurring or multi-day)?
else 
{
	if (empty($GLOBALS['admin']))
	{
		$sdate = mktime(date("G",time()),date("i",time()),date("s",time()),$in['event_smonth'], $in['event_sday'], $in['event_syear']);
		$edate = mktime(date("G",time()),date("i",time()),date("s",time()),$in['event_emonth'], $in['event_eday'], $in['event_eyear']);
		if ($sdate < time() && $edate < time())
		{
			$errors[] = "You must specify a start date that is in the future.";
		}
	}
}
?>